For the complete documentation index, see llms.txt. This page is also available as Markdown.

Agent Operations

Manageand operate agents. These endpoints allow you to create, retrieve, update, delete, and interact with agents through chats and background tasks.

Create Agent

post

API Layer: Create a new Agent

Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body

Request model for creating a workflow. Only includes fields that should be provided by the frontend.

icon_typestring · enum · nullableOptional

Source type: 'emoji' or 'url'

Possible values:
iconstring · nullableOptional

Raw icon value: emoji char, full URL, or gallery key

icon_backgroundstring · nullableOptional

Hex background color behind the icon

Default: #FFF
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
created_timestring · date-time · nullableOptional
updated_timestring · date-time · nullableOptional
modestring · enumRequired

Workflow mode, e.g., chat or job

Example: jobPossible values:
typestring · enumRequired

Agent type (single-agent, multi-agent) - legacy types (flow, instruction, tool) are deprecated

Example: single-agentPossible values:
namestringRequired

Workflow name

Example: test_workflow_name
descriptionstring · nullableOptional

Workflow description

Default: ""Example: test_description
tagsstring[]Optional

List of tags

Default: []Example: test_tag
is_favoritebooleanOptional

Indicates if the item is marked as favorite

Default: false
extend_propertiesobject · Extend Properties · nullableOptional

Extend properties

Example: {}
Responses
201

Successful Response

application/json

Response model for created workflow, which includes all fields of AgentItem.

icon_typestring · enum · nullableOptional

Source type: 'emoji' or 'url'

Possible values:
iconstring · nullableOptional

Raw icon value: emoji char, full URL, or gallery key

icon_backgroundstring · nullableOptional

Hex background color behind the icon

Default: #FFF
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
created_timestring · date-time · nullableOptional
updated_timestring · date-time · nullableOptional
modestring · enumRequired

Workflow mode, e.g., chat or job

Example: jobPossible values:
typestringRequired

Agent type (single-agent, multi-agent) - legacy types (flow, instruction, tool) are deprecated

Example: single-agent
namestringRequired

Workflow name

Example: test_workflow_name
descriptionstring · nullableOptional

Workflow description

Default: ""Example: test_description
tagsstring[]Optional

List of tags

Default: []Example: test_tag
is_favoritebooleanOptional

Indicates if the item is marked as favorite

Default: false
extend_propertiesobject · Extend Properties · nullableOptional

Extend properties

Example: {}
idstring · nullableOptional

Workflow ID

Example: 22a976a1-4f6d-4357-a167-26684daa60c5
tenant_idstringRequired

Tenant ID of creator

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstringRequired

Tenant Unit ID of creator

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
statusstringOptional

Workflow status

Default: ACTIVEExample: ACTIVE
codestring · nullableOptional

Workflow status

definition_idstring · nullableOptional

Definition id

definition_typestring · enum · nullableOptional

definition_type

Possible values:
ab_test_idstring · nullableOptional

AB test config ID

ab_test_enabledboolean · nullableOptional

Indicates if AB testing is enabled

Default: false
usage_guidestring · nullableOptional

Usage guide

visibilityobject · nullableOptional

Resource visibility

agent_definition_entityany of · nullableOptional

Agent definition entity

objectOptional
or
variablesobject[] · nullableOptional

Variables

icon_urlstring · nullableRead-onlyRequired
post/admin/api/v2/agents

List Agents

get

API Layer: Retrieve a list of Agents with pagination and filtering.

Query parameters
page_numintegerOptional

Current page number

Default: 1
page_sizeintegerOptional

Items per page

Default: 20
is_favoriteboolean · nullableOptional

Filter by favorite status

tagsstring[] · nullableOptional

Filter by tags

modestring · nullableOptional

Filter by mode (flow-chat | flow-job | instruction-chat | multi-agent-flow-chat | multi-agent-flow-job | multi-agent-instruction-chat)

namestring · nullableOptional

Filter by name (fuzzy match)

orderstring · nullableOptional

order by: 'recent'(default) or 'oldest'

Default: recent
exclude_draftboolean · nullableOptional

Exclude draft agents

Default: false
agent_idsstring[] · nullableOptional

Filter by agent ids

typestring · nullableOptional

Filter by agent type ('single-agent' | 'multi-agent')

tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Responses
200

Successful Response

application/json

Paginated response for flows.

page_numintegerRequired

Current page number

page_sizeintegerRequired

Number of items per page

total_countintegerRequired

Total number of items

total_pagesintegerRequired

Total number of pages

has_next_pagebooleanRequired

Whether there is a next page

get/admin/api/v2/agents

Get Agent

get

API Layer: Retrieve a Agent by ID

Path parameters
agent_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Responses
200

Successful Response

application/json

Response model for created workflow, which includes all fields of AgentItem.

icon_typestring · enum · nullableOptional

Source type: 'emoji' or 'url'

Possible values:
iconstring · nullableOptional

Raw icon value: emoji char, full URL, or gallery key

icon_backgroundstring · nullableOptional

Hex background color behind the icon

Default: #FFF
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
created_timestring · date-time · nullableOptional
updated_timestring · date-time · nullableOptional
modestring · enumRequired

Workflow mode, e.g., chat or job

Example: jobPossible values:
typestringRequired

Agent type (single-agent, multi-agent) - legacy types (flow, instruction, tool) are deprecated

Example: single-agent
namestringRequired

Workflow name

Example: test_workflow_name
descriptionstring · nullableOptional

Workflow description

Default: ""Example: test_description
tagsstring[]Optional

List of tags

Default: []Example: test_tag
is_favoritebooleanOptional

Indicates if the item is marked as favorite

Default: false
extend_propertiesobject · Extend Properties · nullableOptional

Extend properties

Example: {}
idstring · nullableOptional

Workflow ID

Example: 22a976a1-4f6d-4357-a167-26684daa60c5
tenant_idstringRequired

Tenant ID of creator

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstringRequired

Tenant Unit ID of creator

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
statusstringOptional

Workflow status

Default: ACTIVEExample: ACTIVE
codestring · nullableOptional

Workflow status

definition_idstring · nullableOptional

Definition id

definition_typestring · enum · nullableOptional

definition_type

Possible values:
ab_test_idstring · nullableOptional

AB test config ID

ab_test_enabledboolean · nullableOptional

Indicates if AB testing is enabled

Default: false
usage_guidestring · nullableOptional

Usage guide

visibilityobject · nullableOptional

Resource visibility

agent_definition_entityany of · nullableOptional

Agent definition entity

objectOptional
or
variablesobject[] · nullableOptional

Variables

icon_urlstring · nullableRead-onlyRequired
get/admin/api/v2/agents/{agent_id}

Get Agent By Code

get

API Layer: Retrieve a Agent by code

Path parameters
agent_codestringRequired
Responses
200

Successful Response

application/json

Response model for created workflow, which includes all fields of AgentItem.

icon_typestring · enum · nullableOptional

Source type: 'emoji' or 'url'

Possible values:
iconstring · nullableOptional

Raw icon value: emoji char, full URL, or gallery key

icon_backgroundstring · nullableOptional

Hex background color behind the icon

Default: #FFF
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
created_timestring · date-time · nullableOptional
updated_timestring · date-time · nullableOptional
modestring · enumRequired

Workflow mode, e.g., chat or job

Example: jobPossible values:
typestringRequired

Agent type (single-agent, multi-agent) - legacy types (flow, instruction, tool) are deprecated

Example: single-agent
namestringRequired

Workflow name

Example: test_workflow_name
descriptionstring · nullableOptional

Workflow description

Default: ""Example: test_description
tagsstring[]Optional

List of tags

Default: []Example: test_tag
is_favoritebooleanOptional

Indicates if the item is marked as favorite

Default: false
extend_propertiesobject · Extend Properties · nullableOptional

Extend properties

Example: {}
idstring · nullableOptional

Workflow ID

Example: 22a976a1-4f6d-4357-a167-26684daa60c5
tenant_idstringRequired

Tenant ID of creator

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstringRequired

Tenant Unit ID of creator

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
statusstringOptional

Workflow status

Default: ACTIVEExample: ACTIVE
codestring · nullableOptional

Workflow status

definition_idstring · nullableOptional

Definition id

definition_typestring · enum · nullableOptional

definition_type

Possible values:
ab_test_idstring · nullableOptional

AB test config ID

ab_test_enabledboolean · nullableOptional

Indicates if AB testing is enabled

Default: false
usage_guidestring · nullableOptional

Usage guide

visibilityobject · nullableOptional

Resource visibility

agent_definition_entityany of · nullableOptional

Agent definition entity

objectOptional
or
variablesobject[] · nullableOptional

Variables

icon_urlstring · nullableRead-onlyRequired
get/admin/api/v2/agents/code/{agent_code}

Update Agent

put

API Layer: Update an existing Agent

Path parameters
agent_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body
icon_typestring · nullableOptional

Type of icon used

Example: emoji
iconstring · nullableOptional

Icon representation

Example: 🤖
icon_backgroundstring · nullableOptional

Background color of the icon

Example: #EFF1F5
namestring · nullableOptional

Workflow name

Example: test_workflow_name
descriptionstring · nullableOptional

Workflow description

Example: test_description
tagsstring[] · nullableOptional

List of tags

Example: test_tag
is_favoriteboolean · nullableOptional

Indicates if the item is marked as favorite

statusstring · nullableOptional

Workflow status

Example: ACTIVE
ab_test_idstring · uuid · nullableOptional

AB test config ID

ab_test_enabledboolean · nullableOptional

Indicates if AB testing is enabled

extend_propertiesobject · Extend Properties · nullableOptional

Extend properties

Example: {}
usage_guidestring · nullableOptional

Usage guide

Responses
200

Successful Response

application/json

Response model for created workflow, which includes all fields of AgentItem.

icon_typestring · enum · nullableOptional

Source type: 'emoji' or 'url'

Possible values:
iconstring · nullableOptional

Raw icon value: emoji char, full URL, or gallery key

icon_backgroundstring · nullableOptional

Hex background color behind the icon

Default: #FFF
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
created_timestring · date-time · nullableOptional
updated_timestring · date-time · nullableOptional
modestring · enumRequired

Workflow mode, e.g., chat or job

Example: jobPossible values:
typestringRequired

Agent type (single-agent, multi-agent) - legacy types (flow, instruction, tool) are deprecated

Example: single-agent
namestringRequired

Workflow name

Example: test_workflow_name
descriptionstring · nullableOptional

Workflow description

Default: ""Example: test_description
tagsstring[]Optional

List of tags

Default: []Example: test_tag
is_favoritebooleanOptional

Indicates if the item is marked as favorite

Default: false
extend_propertiesobject · Extend Properties · nullableOptional

Extend properties

Example: {}
idstring · nullableOptional

Workflow ID

Example: 22a976a1-4f6d-4357-a167-26684daa60c5
tenant_idstringRequired

Tenant ID of creator

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstringRequired

Tenant Unit ID of creator

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
statusstringOptional

Workflow status

Default: ACTIVEExample: ACTIVE
codestring · nullableOptional

Workflow status

definition_idstring · nullableOptional

Definition id

definition_typestring · enum · nullableOptional

definition_type

Possible values:
ab_test_idstring · nullableOptional

AB test config ID

ab_test_enabledboolean · nullableOptional

Indicates if AB testing is enabled

Default: false
usage_guidestring · nullableOptional

Usage guide

visibilityobject · nullableOptional

Resource visibility

agent_definition_entityany of · nullableOptional

Agent definition entity

objectOptional
or
variablesobject[] · nullableOptional

Variables

icon_urlstring · nullableRead-onlyRequired
put/admin/api/v2/agents/{agent_id}

Delete Agent

delete

API Layer: Delete a Agent by ID

Path parameters
agent_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Responses
204

Successful Response

application/json
objectOptional
delete/admin/api/v2/agents/{agent_id}

Invoke Agent Chat

post

API Layer: Invoke a Agent

Path parameters
agent_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body
querystring · nullableOptionalDefault: ""
inputsobject · Inputs · nullableOptional

Input variables

Example: {"var1":"1","var2":2}
streamingbooleanOptionalDefault: false
filesstring[] · nullableOptionalDefault: []
response_typestring · nullableOptionalDefault: wfx
wfx_contextobject · Wfx Context · nullableOptionalDefault: {}
conversation_idstring · nullableOptional
Responses
200

Successful Response

application/json
stringOptional
post/admin/api/v2/agents/{agent_id}/chat

Resume Invoke Agent Chat

post

API Layer: Resume Invoke a Agent

Path parameters
agent_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body
querystring · nullableOptionalDefault: ""
inputsobject · Inputs · nullableOptional

Input variables

Example: {"var1":"1","var2":2}
streamingbooleanOptionalDefault: false
filesstring[] · nullableOptionalDefault: []
response_typestring · nullableOptionalDefault: wfx
wfx_contextobject · Wfx Context · nullableOptionalDefault: {}
conversation_idstring · nullableOptional
interrupt_inputsobject · Interrupt InputsRequired
is_interruptedbooleanRequired
flow_run_idstringRequired
Responses
200

Successful Response

application/json
stringOptional
post/admin/api/v2/agents/{agent_id}/chat/resume

Invoke Agent Job

post

API Layer: Invoke a Agent

Path parameters
agent_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body
querystring · nullableOptionalDefault: ""
inputsobject · Inputs · nullableOptional

Input variables

Example: {"var1":"1","var2":2}
streamingbooleanOptionalDefault: false
filesstring[] · nullableOptionalDefault: []
response_typestring · nullableOptionalDefault: wfx
wfx_contextobject · Wfx Context · nullableOptionalDefault: {}
conversation_idstring · nullableOptional
Responses
200

Successful Response

application/json
stringOptional
post/admin/api/v2/agents/{agent_id}/job

Last updated

Was this helpful?